package cn.com.feishu.provider;

import cn.com.ctop.common.module.utils.HttpUtils;
import cn.com.feishu.constant.FeishuConstant;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public class MessageProvider {
    public JSONObject batchSend(List<String> departmentIds,List<String> openIds,List<String> userIds,String content) throws Exception {
        String tenantAccessToken = AuthProvider.getTenantAccessToken();
        JSONObject contentJson = new JSONObject();
        contentJson.put("text",content);
        JSONObject params = new JSONObject();
        params.put("department_ids",departmentIds);
        params.put("open_ids",openIds);
        params.put("user_ids",userIds);
        params.put("msg_type","text");
        params.put("content",contentJson);
        return HttpUtils.feishuPostRequest("Bearer"+tenantAccessToken, FeishuConstant.FEISHU_API_URL+FeishuConstant.MESSAGE_BATCH_SEND,params);
    }


}
